Skala
Work order material logs

List all work order material logs

Fetches a complete list of work order material log records available in the system.

GET
/api/work_order_material_logs

Fetches a complete list of work order material log records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_order_material_logs"
[
  {
    "id": 0,
    "material": "/entity/1",
    "workOrder": "/entity/1",
    "plannedQuantity": "string",
    "actualQuantity": "string",
    "unitCost": "string",
    "totalCost": "string",
    "batch": "/entity/1",
    "variant": "/entity/1",
    "company": "/entity/1",
    "createdBy": "/entity/1",
    "updatedBy": "/entity/1",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z"
  }
]